class BikeSpawnFireB extends RedeemerFire config(BattleBikes);
function Projectile SpawnProjectile(Vector Start, Rotator Dir)
{
    local WyvernBike BikeB;
	BikeB = Weapon.Spawn(Class'BattleBikes.WyvernBike', Instigator,, Start, Dir);
    if (BikeB == None)
		BikeB = Weapon.Spawn(Class'BattleBikes.WyvernBike', Instigator,, Instigator.Location, Dir);
    if (BikeB != None)
    {
		BikeB.SetTeamNum(instigator.GetTeamNum());
        BikeB.TryToDrive(instigator);
	}
    else
    {
	 	Weapon.Spawn(class'SmallRedeemerExplosion');
		Weapon.HurtRadius(500, 400, class'DamTypeRedeemer', 100000, Instigator.Location);
	}

	bIsFiring = false;
    StopFiring();
    return None;
}

defaultproperties
{
 ProjSpawnOffset=(X=300.000000,Z=128.000000)


}
