//=============================================================================
// FX_IonPlasmaTank_AimLaser
//=============================================================================

class FX_WBikeIonPlasma_AimLaser extends FX_Turret_IonCannon_LaserBeam;

var	W_BikeIonPlasma_Weapon	WeaponOwner;

replication
{
    unreliable if ( Role == ROLE_Authority && bNetInitial && bNetOwner )
        WeaponOwner;
}

simulated function SetWeaponOwner()
{
	WeaponOwner = W_BikeIonPlasma_Weapon(Owner);
}

simulated function UpdateBeamLocation()
{
	if ( WeaponOwner != None )
		WeaponOwner.UpdateLaserBeamLocation(StartLocation, EndLocation);
}

defaultproperties
{
}
