//-----------------------------------------------------------
//
//-----------------------------------------------------------
class F_BikeCannonGun extends FragEdSpecialBike_Weapons;


var float MinAim;
var float MaxLockRange, LockAim;

var()   Material    RedSkinB;
var()   Material    BlueSkinB;
var material SecondRepSkin;
replication
{
    reliable if (Role == ROLE_Authority)
        SecondRepSkin;
}

simulated function SetTeam(byte T)
{
    Team = T;
    if (T == 0 && RedSkin != None)
    {
        Skins[0] = RedSkin;
        Skins[1] = RedSkinB;
        RepSkin = RedSkin;
        SecondRepSkin = RedSkinB;
    }
    else if (T == 1 && BlueSkin != None)
    {
        Skins[0] = RedSkin;
        Skins[1] = BlueSkinB;
        RepSkin = RedSkin;
        SecondRepSkin = BlueSkinB;
    }
}
state ProjectileFireMode
{


    function AltFire(Controller C)
	{
		local DualRocket P;
		local float BestAim, BestDist;

		P = DualRocket(SpawnProjectile(AltFireProjectileClass, True));


		if (P != None)
		{
			if (AIController(C) != None)
			     P.CurrentTarget = C.Enemy;

			else
			   {
				BestAim = LockAim;
				P.CurrentTarget = C.PickTarget(BestAim, BestDist, vector(WeaponFireRotation), WeaponFireLocation, MaxLockRange);
  		       }
        }


	}
}
defaultproperties
{
     RedSkin=Texture'WeaponSkins.Skins.ShockTex0'
     RedSkinB=Texture'BattleBike_Tex.Bike78SkinA'
     BlueSkin=Texture'WeaponSkins.Skins.ShockTex0'
     BlueSkinB=Texture'BattleBike_Tex.Bike78SkinABlue'
     ProjectileClass=Class'BattleBikes.BikeRocketProjectile'
     LockAim=0.975000
     MinAim=0.925000
     YawStartConstraint=-18000.000000
     YawEndConstraint=18000.000000
     MaxLockRange=16000.000000
     RotationsPerSecond=2.090000
     //bInstantRotation=True
     bDoOffsetTrace=True
     bAmbientFireSound=True
     bIsRepeatingFF=True
     AltFireSoundClass=Sound'ONSVehicleSounds-S.AVRiL.AvrilFire01'
     AltFireProjectileClass=Class'BattleBikes.DualRocket'
     FireInterval=0.50000
     AltFireInterval=0.650000
     FireSoundClass=Sound'ONSVehicleSounds-S.Tank.TankFire01'
     AmbientSoundScaling=1.100000
     FireForce="minifireb"
     YawBone="Object01"
     PitchBone="Object01"
     WeaponFireAttachmentBone="FirePoint"
     DualFireOffset=14.000000
     bReplicateAnimations=True
     Mesh=SkeletalMesh'BattleBikes_Anim.FGunAMesh'
     Drawscale=1.65
     AIInfo(0)=(bTrySplash=True,bLeadTarget=True,WarnTargetPct=0.500000,RefireRate=0.990000)
     AIInfo(1)=(bTrySplash=True,WarnTargetPct=0.200000,RefireRate=0.990000)

}
