//-----------------------------------------------------------
//
//-----------------------------------------------------------
class F_BikeCannonGun extends FragEdSpecialBike_Weapons;


var float MinAim;
var float MaxLockRange, LockAim;


state ProjectileFireMode
{


    function AltFire(Controller C)
	{
		local DualRocket P;
		local float BestAim, BestDist;

		P = DualRocket(SpawnProjectile(AltFireProjectileClass, True));


		if (P != None)
		{
			if (AIController(C) != None)
			     P.CurrentTarget = C.Enemy;

			else
			   {
				BestAim = LockAim;
				P.CurrentTarget = C.PickTarget(BestAim, BestDist, vector(WeaponFireRotation), WeaponFireLocation, MaxLockRange);
  		       }
        }


	}
}
defaultproperties
{
     ProjectileClass=Class'BattleBikes.BikeRocketProjectile'

     LockAim=0.975000
     MinAim=0.925000
     YawStartConstraint=-18000.000000
     YawEndConstraint=18000.000000
     MaxLockRange=16000.000000
     YawBone="RL_Right"
     PitchBone="RL_Right"
     RotationsPerSecond=2.090000
     //bInstantRotation=True
     bDoOffsetTrace=True
     bAmbientFireSound=True
     bIsRepeatingFF=True
     WeaponFireAttachmentBone="RightRLAttach"
     WeaponFireOffset=-15.000000
     AltFireSoundClass=Sound'ONSVehicleSounds-S.AVRiL.AvrilFire01'
     AltFireProjectileClass=Class'BattleBikes.DualRocket'
     Mesh=SkeletalMesh'BattleBikes_Anim.BikeSideRocketMesh'
     DrawScale=0.25
     FireInterval=0.50000
     AltFireInterval=0.650000
     FireSoundClass=Sound'ONSVehicleSounds-S.Tank.TankFire01'
     AmbientSoundScaling=1.100000
     FireForce="minifireb"

     AIInfo(0)=(bTrySplash=True,bLeadTarget=True,WarnTargetPct=0.500000,RefireRate=0.990000)
     AIInfo(1)=(bTrySplash=True,WarnTargetPct=0.200000,RefireRate=0.990000)

     CullDistance=8000.000000

}
